Package org.apache.commons.jxpath.util

# Class MethodLookupUtils

java.lang.Object
org.apache.commons.jxpath.util.MethodLookupUtils

public class MethodLookupUtils extends Object
Method lookup utilities, which find static and non-static methods as well as constructors based on a name and list of parameters.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MethodLookupUtils()`
  Deprecated.
  Will be private in the next major version.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Constructor`
  `lookupConstructor(Class targetClass, Object[] parameters)`
  Look up a constructor.
  `static Method`
  `lookupMethod(Class targetClass, String name, Object[] parameters)`
  Look up a method.
  `static Method`
  `lookupStaticMethod(Class targetClass, String name, Object[] parameters)`
  Look up a static method.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### MethodLookupUtils

    @Deprecated public MethodLookupUtils()
    Deprecated.
    Will be private in the next major version.
    Constructs a new instance.

- ## Method Details

  - ### lookupConstructor

    public static Constructor lookupConstructor(Class targetClass, Object[] parameters)
    Look up a constructor.
    Parameters:
      `targetClass` - the class constructed
      `parameters` - arguments
    Returns:
      Constructor found if any.

  - ### lookupMethod

    public static Method lookupMethod(Class targetClass, String name, Object[] parameters)
    Look up a method.
    Parameters:
      `targetClass` - owning class
      `name` - method name
      `parameters` - method parameters
    Returns:
      Method found if any

  - ### lookupStaticMethod

    public static Method lookupStaticMethod(Class targetClass, String name, Object[] parameters)
    Look up a static method.
    Parameters:
      `targetClass` - the owning class
      `name` - method name
      `parameters` - method parameters
    Returns:
      Method found if any